Bug 19698 - Can't add text before or after non-editable span, which is the only child in a editable div
Summary: Can't add text before or after non-editable span, which is the only child in ...
Status: RESOLVED DUPLICATE of bug 31750
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-20 15:42 PDT by Robbie Paplin
Modified: 2010-03-23 17:27 PDT (History)
6 users (show)

See Also:


Attachments
Test case that shows contenteditable is not editable (1.24 KB, text/html)
2008-06-20 15:55 PDT, Robbie Paplin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robbie Paplin 2008-06-20 15:42:12 PDT
When a contenteditable DIV contains only a span w/ contenteditable="false", you can't add text before or after the span
Comment 1 Robbie Paplin 2008-06-20 15:55:36 PDT
Created attachment 21863 [details]
Test case that shows contenteditable is not editable
Comment 2 Ryosuke Niwa 2009-07-22 00:51:36 PDT
Why is this bug P1?
Comment 3 Ryosuke Niwa 2010-03-19 09:56:22 PDT
+tony
+enrica

The importance of this bug has also been changed to P2 since this is not a security bug / regression.  I feel like this bug has been fixed recently somewhere else? The test case no longer reproduce the bug.
Comment 4 Tony Chang 2010-03-22 19:41:18 PDT
Doesn't work for me on Safari 4.0.4, but does work for me on ToT.  I imagine some other change fixed this.
Comment 5 Enrica Casucci 2010-03-23 08:41:44 PDT
Yes. I've implemented this inhttp://trac.webkit.org/changeset/51522
Comment 6 Tony Chang 2010-03-23 17:27:43 PDT

*** This bug has been marked as a duplicate of bug 31750 ***